package com.indigitall.indigitall_flutter_plugin.activities_ind

import android.content.Intent
import android.os.Bundle
import com.indigitall.android.HiddenActivity
import com.indigitall.android.models.Push
import com.indigitall.indigitall_flutter_plugin.IndigitallFlutterPlugin
import com.indigitall.indigitall_flutter_plugin.utils.FTPreferenceUtils
import org.json.JSONObject

class FTIndigitallHiddenActivity: HiddenActivity() {
    override fun onCreate(bundle: Bundle?) {
        super.onCreate(bundle)
    }

    override fun onHandleIntentAction(intentAction: Intent?) {
        val context = applicationContext
        android.util.Log.e("gcf ", "onHandleIntentAction 1")
        if (IndigitallFlutterPlugin.indigitallInterface != null) {
            android.util.Log.e("gcf ", "onHandleIntentAction 2")
            intentAction?.let { action ->
                android.util.Log.e("gcf ", "onHandleIntentAction 3")
                action.getStringExtra(Push.EXTRA_PUSH)?.let {
                    android.util.Log.e("gcf ", "onHandleIntentAction 4")
                    val json = JSONObject(it)
                    IndigitallFlutterPlugin.indigitallInterface?.onIndigitallGetPush(
                        context,
                        null,
                        json
                    )
                }
            }
        } else {
            intentAction?.let { action ->
                android.util.Log.e("gcf ", "onHandleIntentAction 31")
                action.getStringExtra(Push.EXTRA_PUSH)?.let {
                    android.util.Log.e("gcf ", "onHandleIntentAction 41")
                    val json = JSONObject(it)
                    FTPreferenceUtils().setPushString(context, json.toString())
                }
            }
        }
        android.util.Log.e("gcf ", "onHandleIntentAction 5")
        super.onHandleIntentAction(intentAction)
    }
}