package com.indigitall.indigitall_flutter_plugin.activities_ind

import android.app.PendingIntent
import android.content.Context
import com.indigitall.android.commons.models.CorePushAction
import com.indigitall.android.models.Push
import com.indigitall.android.models.PushNotification
import com.indigitall.indigitall_flutter_plugin.utils.FTIndigitallIntentUtils

class FTPushNotification(push: Push) : PushNotification(push) {
    var context: Context?= null

    override fun showNotification(context: Context) {
        this.context = context
        super.showNotification(context)
    }

    override fun getIntent(action: CorePushAction?, clickedButton: Int): PendingIntent? {
        return FTIndigitallIntentUtils.getIntent(context, push, action, clickedButton)
    }

}