//
//  FTDefaults.m
//  indigitall_flutter_plugin
//
//  Created by indigitall on 21/9/23.
//

#import "FTDefaults.h"

@implementation FTDefaults
static NSString *INDIGITALL_HANDLE_WITH_NOTIFICATION_PUSH = @"IndigitallHandleWithNotificationPush";


+ (void) setObjectWithKey: (NSString *) key  value: (NSObject *) value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:key];
}

+ (NSString *) getStringObjectWithKey: (NSString *) key {
    return [[NSUserDefaults standardUserDefaults] stringForKey:key];
}

+ (NSDictionary *) getDictionaryObjectWithKey: (NSString *) key {
    return [[NSUserDefaults standardUserDefaults] dictionaryForKey:key];
}

+ (void) setIndigitallHandleWithNotificationPush: (nullable NSDictionary *)value {
    [self setObjectWithKey:INDIGITALL_HANDLE_WITH_NOTIFICATION_PUSH value:value];
}

+ (NSDictionary *) getIndigitallHandleWithNotificationPush {
    return [self getDictionaryObjectWithKey:INDIGITALL_HANDLE_WITH_NOTIFICATION_PUSH];
}
@end
